#ifndef ELEGIF_H
#define ELEGIF_H
#include "synctimer.h"
#include <QWidget>

class EleGif : public QWidget {
    Q_OBJECT
public:
    explicit EleGif(QString path, QWidget *parent = nullptr);

    QMovie* movie = nullptr;
    SyncTimer* timer = nullptr;

public slots:
    void sltNext();

protected:
    void paintEvent(QPaintEvent *) override;
};

#endif // ELEGIF_H
